## gimptexttool gimptexttool |

## Functions

gint32 | gimp_text_fontname ()
gboolean | gimp_text_get_extents_fontname ()
gint32 | gimp_text ()
gboolean | gimp_text_get_extents ()

## Description

## Functions

### gimp_text_fontname ()

    gint32
    gimp_text_fontname (gint32 image_ID,
                        gint32 drawable_ID,
                        gdouble x,
                        gdouble y,
                        const gchar *text,
                        gint border,
                        gboolean antialias,
                        gdouble size,
                        GimpSizeType size_type,
                        const gchar *fontname);

### gimp_text_get_extents_fontname ()

    gboolean
    gimp_text_get_extents_fontname (const gchar *text,
                                    gdouble size,
                                    GimpSizeType size_type,
                                    const gchar *fontname,
                                    gint *width,
                                    gint *height,
                                    gint *ascent,
                                    gint *descent);

### gimp_text ()

    gint32
    gimp_text (gint32 image_ID,
               gint32 drawable_ID,
               gdouble x,
               gdouble y,
               const gchar *text,
               gint border,
               gboolean antialias,
               gdouble size,
               GimpSizeType size_type,
               const gchar *foundry,
               const gchar *family,
               const gchar *weight,
               const gchar *slant,
               const gchar *set_width,
               const gchar *spacing,
               const gchar *registry,
               const gchar *encoding);

`gimp_text` is deprecated and should not be used in newly-written code.

Use `gimp_text_fontname()` instead.

### gimp_text_get_extents ()

    gboolean
    gimp_text_get_extents (const gchar *text,
                           gdouble size,
                           GimpSizeType size_type,
                           const gchar *foundry,
                           const gchar *family,
                           const gchar *weight,
                           const gchar *slant,
                           const gchar *set_width,
                           const gchar *spacing,
                           const gchar *registry,
                           const gchar *encoding,
                           gint *width,
                           gint *height,
                           gint *ascent,
                           gint *descent);

`gimp_text_get_extents` is deprecated and should not be used in newly-written code.

Use `gimp_text_get_extents_fontname()` instead.

## Types and Values